// TODO:
// - import drowl-sass-base styles to all drowl_base.x.scss
// - add all the styles as drupal libraries (base, components, .. we can override single css files in the
//   child theme, so we dont need a single library for each file.
// - add all the files to the webpack config (watcher)
// - the child theme doesnt need to have many libraries, probably we can simply stick with the radix
//   default on this side.

@import "../init";

// Define your custom typography/classes here.
// -----------------------------------------------------------------------------

// =============================================================================
//  Headings
// =============================================================================

@include headings-style() {
  // Contextual Heading Colors Support:
  // .box-style's etc. can override the CSS variable
  // while the SCSS foundation variable is used for the
  // regular color.
  // color: var(--header-color, #{$header-color});

  // Prevent linked headings from being underlined
  a {
    text-decoration: none;
  }
}

// =============================================================================
//  Formatters
// =============================================================================

// Heading modifiers
.has-subline {
  margin-bottom: 0 !important;
  // TODO: Explain this.
  @include headings-style() {
    margin-bottom: 0.1em !important;
  }
}

// Text Styles
.subline {
  font-size: var(--bs-font-size-sm);
  line-height: 1.2;
  opacity: 0.6;
  &:not(:last-child) {
    margin-bottom: 1em;
  }
  &--light,
  &--dark {
    opacity: 1;
  }
  &--light {
    color: var(--bs-muted-light) !important;
  }
  &--dark {
    color: var(--bs-muted-dark) !important;
  }
}

// =============================================================================
//  Text Colums
// =============================================================================

.text-columns,
[class*="text-columns--"] {
  column-gap: var(--bs-grid-gutter);

  // Prevent column break within list items
  li {
    break-inside: avoid-column;
  }
}

.text-columns {
  &--2 {
    @include media-breakpoint-up(large) {
      columns: 2;
    }
  }

  &--3 {
    @include media-breakpoint-up(medium) {
      columns: 2;
    }

    @include media-breakpoint-up(large) {
      columns: 3;
    }
  }

  &--4 {
    @include media-breakpoint-up(small) {
      columns: 2;
    }

    @include media-breakpoint-up(medium) {
      columns: 3;
    }

    @include media-breakpoint-up(large) {
      columns: 4;
    }
  }
}

// =============================================================================
//  Misc
// =============================================================================

// Text selection color
::selection {
  background: var(--bs-primary-text-emphasis);
  color: var(--bs-primary-bg-subtle);
}
